/*******************************************************************************
* File Name: cycfg_peripherals.h
*
* Description:
* Peripheral Hardware Block configuration
* This file was automatically generated and should not be modified.
* 
********************************************************************************
* Copyright 2017-2019 Cypress Semiconductor Corporation
* SPDX-License-Identifier: Apache-2.0
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
********************************************************************************/

#if !defined(CYCFG_PERIPHERALS_H)
#define CYCFG_PERIPHERALS_H

#include "cycfg_notices.h"
#include "cy_scb_uart.h"
#include "cy_sysclk.h"
#include "cy_tcpwm_pwm.h"
#include "cycfg_routing.h"

#if defined(__cplusplus)
extern "C" {
#endif

#define UART_HOST_HW SCB5
#define UART_HOST_IRQ scb_5_interrupt_IRQn
#define TCPWM_0_HW TCPWM1
#define TCPWM_0_NUM 0UL
#define TCPWM_0_MASK (1UL << 0)
#define TCPWM_10_HW TCPWM1
#define TCPWM_10_NUM 10UL
#define TCPWM_10_MASK (1UL << 10)
#define TCPWM_11_HW TCPWM1
#define TCPWM_11_NUM 11UL
#define TCPWM_11_MASK (1UL << 11)
#define TCPWM_12_HW TCPWM1
#define TCPWM_12_NUM 12UL
#define TCPWM_12_MASK (1UL << 12)
#define TCPWM_13_HW TCPWM1
#define TCPWM_13_NUM 13UL
#define TCPWM_13_MASK (1UL << 13)
#define TCPWM_14_HW TCPWM1
#define TCPWM_14_NUM 14UL
#define TCPWM_14_MASK (1UL << 14)
#define TCPWM_15_HW TCPWM1
#define TCPWM_15_NUM 15UL
#define TCPWM_15_MASK (1UL << 15)
#define TCPWM_16_HW TCPWM1
#define TCPWM_16_NUM 16UL
#define TCPWM_16_MASK (1UL << 16)
#define TCPWM_17_HW TCPWM1
#define TCPWM_17_NUM 17UL
#define TCPWM_17_MASK (1UL << 17)
#define TCPWM_18_HW TCPWM1
#define TCPWM_18_NUM 18UL
#define TCPWM_18_MASK (1UL << 18)
#define TCPWM_19_HW TCPWM1
#define TCPWM_19_NUM 19UL
#define TCPWM_19_MASK (1UL << 19)
#define TCPWM_1_HW TCPWM1
#define TCPWM_1_NUM 1UL
#define TCPWM_1_MASK (1UL << 1)
#define TCPWM_20_HW TCPWM1
#define TCPWM_20_NUM 20UL
#define TCPWM_20_MASK (1UL << 20)
#define TCPWM_21_HW TCPWM1
#define TCPWM_21_NUM 21UL
#define TCPWM_21_MASK (1UL << 21)
#define TCPWM_22_HW TCPWM1
#define TCPWM_22_NUM 22UL
#define TCPWM_22_MASK (1UL << 22)
#define TCPWM_23_HW TCPWM1
#define TCPWM_23_NUM 23UL
#define TCPWM_23_MASK (1UL << 23)
#define TCPWM_2_HW TCPWM1
#define TCPWM_2_NUM 2UL
#define TCPWM_2_MASK (1UL << 2)
#define TCPWM_3_HW TCPWM1
#define TCPWM_3_NUM 3UL
#define TCPWM_3_MASK (1UL << 3)
#define TCPWM_4_HW TCPWM1
#define TCPWM_4_NUM 4UL
#define TCPWM_4_MASK (1UL << 4)
#define TCPWM_5_HW TCPWM1
#define TCPWM_5_NUM 5UL
#define TCPWM_5_MASK (1UL << 5)
#define TCPWM_6_HW TCPWM1
#define TCPWM_6_NUM 6UL
#define TCPWM_6_MASK (1UL << 6)
#define TCPWM_7_HW TCPWM1
#define TCPWM_7_NUM 7UL
#define TCPWM_7_MASK (1UL << 7)
#define TCPWM_8_HW TCPWM1
#define TCPWM_8_NUM 8UL
#define TCPWM_8_MASK (1UL << 8)
#define TCPWM_9_HW TCPWM1
#define TCPWM_9_NUM 9UL
#define TCPWM_9_MASK (1UL << 9)

extern const cy_stc_scb_uart_config_t UART_HOST_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_0_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_10_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_11_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_12_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_13_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_14_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_15_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_16_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_17_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_18_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_19_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_1_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_20_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_21_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_22_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_23_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_2_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_3_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_4_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_5_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_6_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_7_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_8_config;
extern const cy_stc_tcpwm_pwm_config_t TCPWM_9_config;

void init_cycfg_peripherals(void);

#if defined(__cplusplus)
}
#endif


#endif /* CYCFG_PERIPHERALS_H */
